# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'wechat_client/version'

Gem::Specification.new do |spec|
  spec.name          = "wechat_client"
  spec.version       = WechatClient::VERSION
  spec.authors       = ["Scott1743 nobrick"]
  spec.email         = ["512981271@qq.com qucool@gmail.com"]
  spec.summary       = %q{ A WeChat client }
  spec.description   = %q{ A WeChat client }
  spec.homepage      = "https://github.com/nobrick/wechat_client"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency 'rest-client', '~> 1.6'
  spec.add_dependency 'redis', '~> 2.0'
  spec.add_dependency 'yell', '~> 1.2'
  spec.add_dependency 'nokogiri', '~> 1.4'
  spec.add_runtime_dependency 'fuzzy_match', '~> 2.0'

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "rspec", "~> 3.5"
  spec.add_development_dependency "thread_safe", "~> 0.3"
end
